summaryrefslogtreecommitdiff
path: root/appveyor_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'appveyor_build.sh')
-rw-r--r--appveyor_build.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/appveyor_build.sh b/appveyor_build.sh
new file mode 100644
index 0000000..7e6bed7
--- /dev/null
+++ b/appveyor_build.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+buildsys="${1}-${Platform}"
+
+if [ "${buildsys}" == "MinGW-Win32" ]; then
+ export PATH="/c/mingw-w64/i686-6.3.0-posix-dwarf-rt_v5-rev1/mingw32/bin:${PATH}"
+elif [ "${buildsys}" == "MinGW-x64" ]; then
+ export PATH="/c/mingw-w64/x86_64-8.1.0-posix-seh-rt_v6-rev0/mingw64/bin:${PATH}"
+fi
+
+set -x
+
+builddir="build-${buildsys}"
+installdir="${PWD}/libusb-${buildsys}"
+
+cd libusb
+./bootstrap.sh
+mkdir "${builddir}"
+cd "${builddir}"
+../configure --prefix="${installdir}" --enable-examples-build --enable-tests-build
+make -j4
+make install